Skip to main content
`Ctrl`+`K`
scipy.signal.

# qspline2d

scipy.signal.qspline2d(signal, lamb=0.0, precision=-1.0)

  Coefficients for 2-D quadratic (2nd order) B-spline.

  Return the second-order B-spline coefficients over a regularly spaced input grid for the two-dimensional input image.

  Parameters:
    input ndarray

      The input signal.

    lamb float

      Specifies the amount of smoothing in the transfer function.

    precision float

      Specifies the precision for computing the infinite sum needed to apply mirror-symmetric boundary conditions.

  Returns:
    output ndarray

      The filtered signal.

  Notes

  Array API Standard Support

  `qspline2d` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ⛔ | ⛔
  JAX | ⛔ | ⛔
  Dask | ⛔ | n/a

  > See Support for the array API standard for more information.